System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DataViewRowStateEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.Flags

The values are used either to retrieve a particular version of data from a , or to determine what versions exist.

Set the property of the to specify which version or versions of data you want to view.

You can use the Boolean operator Or with the values to get more than one version.

The uses in the method.

Describes the version of data in a .

- Field
  System.Data.DataViewRowState To be added

  A new row.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataViewRowState To be added

  Current rows including unchanged, new, and modified rows. By default, is set to CurrentRows.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataViewRowState To be added

  A deleted row.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataViewRowState To be added

  A current version of original data that has been modified (see ModifiedOriginal).

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataViewRowState To be added

  The original version of the data that was modified. (Although the data has since been modified, it is available as ModifiedCurrent).

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataViewRowState To be added

  None.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataViewRowState To be added

  Original rows including unchanged and deleted rows.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataViewRowState To be added

  An unchanged row.

  1.0.5000.0
  2.0.0.0